#
# spec file for package quiterss
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           quiterss
Version:        0.18.6
Release:        1.1
Summary:        RSS/Atom aggregator
License:        GPL-3.0+
Group:          Productivity/Networking/News/Utilities
Url:            https://www.quiterss.org
Source:         https://quiterss.org/files/%{version}/QuiteRSS-%{version}-src.tar.gz
# PATCH-FIX-UPSTREAM quiterss-list_qmfiles.patch -- don't use wildcard when installing .qm files
Patch1:         quiterss-list_qmfiles.patch
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  hicolor-icon-theme
BuildRequires:  libqt5-linguist
BuildRequires:  pkgconfig
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(Qt5Multimedia)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5PrintSupport)
BuildRequires:  pkgconfig(Qt5Sql)
BuildRequires:  pkgconfig(Qt5WebKitWidgets)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(sqlite3)
Recommends:     %{name}-lang = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
QuiteRSS is a RSS/Atom news feed reader.

%lang_package

%prep
%setup -q
%patch1 -p1

%build
%qmake5 PREFIX=%{_prefix} QMAKE_LRELEASE="lrelease-qt5"
%make_jobs

%install
%qmake5_install
%find_lang %{name} --with-qt --without-mo
%suse_update_desktop_file %{name}
%fdupes -s %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING CHANGELOG README.md
%dir %{_datadir}/%{name}
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/%{name}/sound
%{_datadir}/%{name}/style

%files lang -f %{name}.lang
%defattr(-,root,root)
%dir %{_datadir}/%{name}/lang

%changelog
* Wed Jun 21 2017 aloisio@gmx.com
- Update to version 0.18.6
  * Changed: SQLite 3.19.3
  * Fixed: Displaying dialogs in mode "Stay on top"
  * Fixed: Mark displayed news as read when switching feeds
* Fri Jun 16 2017 aloisio@gmx.com
- Update to version 0.18.5
  * Changed: SQLite 3.19.1
  * Changed: Application icon size
  * Fixed: Parsing of some feeds
  * Fixed: Switching between feeds in Newspaper view
  * Fixed: Layout in Newspaper view
  * Fixed: Notification. Displaying of previous news
- Dropped quiterss-fix-tray-icon.patch (merged upstream)
- Reverted previous change and replaced it with
  quiterss-list_qmfiles.patch
- Set proper QMAKE_LRELEASE executable
* Thu Jun 15 2017 alarrosa@suse.com
- Fix build failing due to wrong reference to language files.
  They were referenced with a wildcard in the qmake file, but the
  files were not yet generated when qmake was run.
* Sun Feb  5 2017 jengelh@inai.de
- Trim filler words from description
* Wed Dec  7 2016 aloisio@gmx.com
- Added quiterss-fix-tray-icon.patch (fixes tray icon size)
* Sat Dec  3 2016 aloisio@gmx.com
- Switched to qt5
- Spec cleanup
* Tue Jan 24 2012 ti.eugene@gmail.com
- Initial build
